## networkmanager-qt 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(NetworkManagerQt)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(NetworkManager 0.9.8.4 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)

add_definitions(${QT_DEFINITIONS})

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX NETWORKMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfigVersion.cmake"
                        SOVERSION 6)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakenetwork)
    add_subdirectory(autotests)
endif ()

add_subdirectory(src)
##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NetworkManagerQt")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NetworkManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NetworkManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NetworkManagerQtTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== autotests/CMakeLists.txt ===
if (${NETWORKMANAGER_VERSION} VERSION_EQUAL 1.0.0 OR ${NETWORKMANAGER_VERSION} VERSION_GREATER 1.0.0)
include_directories(
   ${NM-CORE_INCLUDE_DIRS}
)
else()
include_directories(
    ${NETWORKMANAGER_INCLUDE_DIRS}
    ${NM-GLIB_INCLUDE_DIRS}
)
endif()

include_directories (
    ${CMAKE_SOURCE_DIR}/src/settings
)

include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
set_package_properties(Qt5Test PROPERTIES PURPOSE "Required for autotests")

ecm_add_test(managertest.cpp LINK_LIBRARIES Qt5::Test KF5NetworkManagerQt_static fakeNetwork)
ecm_add_test(settingstest.cpp LINK_LIBRARIES Qt5::Test KF5NetworkManagerQt_static fakeNetwork)
ecm_add_test(activeconnectiontest.cpp LINK_LIBRARIES Qt5::Test KF5NetworkManagerQt_static fakeNetwork)

add_subdirectory(settings)

=== src/CMakeLists.txt ===
# add_subdirectory(dbus)

if (${NETWORKMANAGER_VERSION} VERSION_EQUAL 1.0.0 OR ${NETWORKMANAGER_VERSION} VERSION_GREATER 1.0.0)
include_directories(
   ${NM-CORE_INCLUDE_DIRS}
)
else()
include_directories(
   ${NETWORKMANAGER_INCLUDE_DIRS}
   ${NM-UTIL_INCLUDE_DIRS}
   ${NM-GLIB_INCLUDE_DIRS}
)
endif()

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/dbus
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
)

set(NetworkManagerQt_PART_SRCS
    device.cpp
    accesspoint.cpp
    activeconnection.cpp
    adsldevice.cpp
    bluetoothdevice.cpp
    bonddevice.cpp
    bridgedevice.cpp
    connection.cpp
    dhcp4config.cpp
    dhcp6config.cpp
    infinibanddevice.cpp
    ipaddress.cpp
    iproute.cpp
    ipconfig.cpp
    manager.cpp
    modemdevice.cpp
    olpcmeshdevice.cpp
    secretagent.cpp
    settings.cpp
    utils.cpp
    vlandevice.cpp
    vpnconnection.cpp
    vpnplugin.cpp
    wireddevice.cpp
    wirelessdevice.cpp
    wirelessnetwork.cpp
    generictypes.cpp
)

set(NetworkManagerQt_SETTINGS_SRCS
    settings/adslsetting.cpp
    settings/bluetoothsetting.cpp
    settings/bondsetting.cpp
    settings/bridgesetting.cpp
    settings/bridgeportsetting.cpp
    settings/cdmasetting.cpp
    settings/connectionsettings.cpp
    settings/gsmsetting.cpp
    settings/ipv4setting.cpp
    settings/ipv6setting.cpp
    settings/infinibandsetting.cpp
    settings/olpcmeshsetting.cpp
    settings/pppsetting.cpp
    settings/pppoesetting.cpp
    settings/setting.cpp
    settings/serialsetting.cpp
    settings/security8021xsetting.cpp
    #settings/template.cpp
    settings/vlansetting.cpp
    settings/vpnsetting.cpp
    settings/wimaxsetting.cpp
    settings/wiredsetting.cpp
    settings/wirelesssetting.cpp
    settings/wirelesssecuritysetting.cpp
)

set(DBUS_INTERFACE_SRCS
   dbus/nm-access-pointinterface.cpp
   dbus/nm-active-connectioninterface.cpp
   dbus/nm-agent-managerinterface.cpp
   dbus/nm-device-adslinterface.cpp
   dbus/nm-device-bondinterface.cpp
   dbus/nm-device-bridgeinterface.cpp
   dbus/nm-device-btinterface.cpp
   dbus/nm-device-ethernetinterface.cpp
   dbus/nm-device-infinibandinterface.cpp
   dbus/nm-device-modeminterface.cpp
   dbus/nm-device-olpc-meshinterface.cpp
   dbus/nm-device-vlaninterface.cpp
   dbus/nm-device-wifiinterface.cpp
   dbus/nm-deviceinterface.cpp
   dbus/nm-dhcp4-configinterface.cpp
   dbus/nm-dhcp6-configinterface.cpp
   dbus/nm-ip4-configinterface.cpp
   dbus/nm-ip6-configinterface.cpp
   dbus/nm-managerinterface.cpp
   dbus/nm-ppp-managerinterface.cpp
   #dbus/nm-secret-agentinterface.cpp
   dbus/nm-secret-agentadaptor.cpp
   dbus/nm-settings-connectioninterface.cpp
   dbus/nm-settingsinterface.cpp
   dbus/nm-vpn-connectioninterface.cpp
   dbus/nm-vpn-plugininterface.cpp
)

if (${NETWORKMANAGER_VERSION} VERSION_LESS 1.2.0)
    set(NetworkManagerQt_PART_SRCS
        ${NetworkManagerQt_PART_SRCS}
        wimaxdevice.cpp
        wimaxnsp.cpp
        )

    set(DBUS_INTERFACE_SRCS
        ${DBUS_INTERFACE_SRCS}
        dbus/nm-device-wimaxinterface.cpp
        dbus/nm-wimax-nspinterface.cpp
        )
endif()

if (${NETWORKMANAGER_VERSION} VERSION_EQUAL 0.9.10.0 OR ${NETWORKMANAGER_VERSION} VERSION_GREATER 0.9.10.0)
    set(NetworkManagerQt_PART_SRCS
        ${NetworkManagerQt_PART_SRCS}
        genericdevice.cpp
        gredevice.cpp
        macvlandevice.cpp
        teamdevice.cpp
        tundevice.cpp
        vethdevice.cpp
        )

    set(NetworkManagerQt_SETTINGS_SRCS
        ${NetworkManagerQt_SETTINGS_SRCS}
        settings/teamsetting.cpp
        settings/genericsetting.cpp
        )

    set(DBUS_INTERFACE_SRCS
        ${DBUS_INTERFACE_SRCS}
        dbus/nm-device-genericinterface.cpp
        dbus/nm-device-greinterface.cpp
        dbus/nm-device-macvlaninterface.cpp
        dbus/nm-device-teaminterface.cpp
        dbus/nm-device-tuninterface.cpp
        dbus/nm-device-vethinterface.cpp
        )
endif()

add_library(KF5NetworkManagerQt SHARED ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
generate_export_header(KF5NetworkManagerQt EXPORT_FILE_NAME ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h BASE_NAME NetworkManagerQt)
add_library(KF5::NetworkManagerQt ALIAS KF5NetworkManagerQt)

target_include_directories(KF5NetworkManagerQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/NetworkManagerQt>")
# for examples to build
target_include_directories(KF5NetworkManagerQt PUBLIC "$<BUILD_INTERFACE:${NetworkManagerQt_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}/settings;${CMAKE_CURRENT_BINARY_DIR}>")

target_link_libraries(KF5NetworkManagerQt PUBLIC Qt5::Core Qt5::Network Qt5::DBus)

set_target_properties(KF5NetworkManagerQt PROPERTIES VERSION ${NETWORKMANAGERQT_VERSION_STRING}
                                                   SOVERSION ${NETWORKMANAGERQT_SOVERSION}
                                                   EXPORT_NAME NetworkManagerQt
)

if (${NETWORKMANAGER_VERSION} VERSION_EQUAL 1.0.0 OR ${NETWORKMANAGER_VERSION} VERSION_GREATER 1.0.0)
    target_include_directories(KF5NetworkManagerQt PUBLIC ${NM-CORE_INCLUDE_DIRS})
else()
    target_include_directories(KF5NetworkManagerQt PUBLIC ${NETWORKMANAGER_INCLUDE_DIRS} ${NM-UTIL_INCLUDE_DIRS} ${NM-GLIB_INCLUDE_DIRS})
endif()

########### static lib for tests  ###############
add_library(KF5NetworkManagerQt_static STATIC ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
set_target_properties(KF5NetworkManagerQt_static PROPERTIES COMPILE_FLAGS -DNMQT_STATIC=1)

target_link_libraries(KF5NetworkManagerQt_static PUBLIC Qt5::Core Qt5::Network Qt5::DBus)
target_include_directories(KF5NetworkManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")

ecm_generate_headers(NetworkManagerQt_CamelCase_HEADERS
  HEADER_NAMES
  AccessPoint
  ActiveConnection
  AdslDevice
  BluetoothDevice
  BondDevice
  BridgeDevice
  Connection
  Device
  Dhcp4Config
  Dhcp6Config
  GenericDevice
  GenericTypes
  GreDevice
  InfinibandDevice
  IpAddress
  IpConfig
  IpRoute
  MacVlanDevice
  Manager
  ModemDevice
  OlpcMeshDevice
  SecretAgent
  Settings
  TeamDevice
  TunDevice
  Utils
  VethDevice
  VlanDevice
  VpnConnection
  VpnPlugin
  WimaxDevice
  WimaxNsp
  WiredDevice
  WirelessDevice
  WirelessNetwork

  REQUIRED_HEADERS NetworkManagerQt_HEADERS
  PREFIX NetworkManagerQt
)

ecm_generate_headers(NetworkManagerQt_SETTINGS_CamelCase_HEADERS
  HEADER_NAMES
  AdslSetting
  BluetoothSetting
  BondSetting
  BridgeSetting
  BridgePortSetting
  CdmaSetting
  ConnectionSettings
  GsmSetting
  GenericSetting
  InfinibandSetting
  Ipv4Setting
  Ipv6Setting
  OlpcMeshSetting
  PppoeSetting
  PppSetting
  Security8021xSetting
  SerialSetting
  Setting
  TeamSetting
  VlanSetting
  VpnSetting
  WimaxSetting
  WiredSetting
  WirelessSecuritySetting
  WirelessSetting

  RELATIVE settings
  REQUIRED_HEADERS NetworkManagerQt_SETTINGS_HEADERS
  PREFIX NetworkManagerQt
)

install(TARGETS KF5NetworkManagerQt EXPORT KF5NetworkManagerQtTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${NetworkManagerQt_CamelCase_HEADERS}
  ${NetworkManagerQt_SETTINGS_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/NetworkManagerQt/NetworkManagerQt COMPONENT Devel
)

install(FILES
  ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h
  ${NetworkManagerQt_HEADERS}
  ${NetworkManagerQt_SETTINGS_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/NetworkManagerQt/networkmanagerqt COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME NetworkManagerQt LIB_NAME KF5NetworkManagerQt DEPS "core" FILENAME_VAR PRI_FILENAME)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## networkmanager-qt 5.9.0

=== debian/changelog ===
networkmanager-qt (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:12:49 +0200

networkmanager-qt (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:44:54 +0100

networkmanager-qt (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:37:04 +0100

networkmanager-qt (5.6.0-0ubuntu2) vivid; urgency=medium

  * Rebuild with network-manager 0.9.10.0 for new symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2015 13:32:56 +0100

networkmanager-qt (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Upstream renamed to networkmanager-qt and new version number
    to release as part of Frameworks (instead of Plasma)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jan 2015 12:19:39 +0100

libnm-qt (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:49:54 +0100

libnm-qt (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Update copyright file to use GPL-KDEeV and LGPL-KDEeV to resolve
    lintian space error.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 16:10:40 +0200

libnm-qt (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove no-human-maintainers lintian-override per ScottK. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:22:50 -0700

libnm-qt (5.0.92-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 17:06:20 +0200

libnm-qt (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:25:03 +0200

libnm-qt (5.0.90-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Upstream set on new version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:39:50 +0200

libnm-qt (0.9.9~git20140614-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * Grab newest git from upstream.
  * Add -dev depend 
  * Rename to match soname and re-version

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 13 Jun 2014 10:24:08 +0100

=== debian/control ===
Source: networkmanager-qt
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               libnm-glib-dev,
               libnm-util-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/kde/frameworks/libnm-qt
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libnm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libnm-qt.git

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-glib-dev,
         libnm-util-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5networkmanagerqt6-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager - debug files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5networkmanagerqt6-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/libnm-qt-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/libnm-qt-(.*)\.tar\.xz

## networkmanager-qt 5.15.0

=== debian/changelog ===
networkmanager-qt (5.15.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Build-dep and depend from libkf5networkmanagerqt-dev on alternate
    libnm-glib-dev for vivid builds for mobile kci

  [ Scarlett Clark ]
  * Vivid backport.
  * Remove symbols file for backport only. 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:59:31 +0100

networkmanager-qt (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:29:07 +0100

networkmanager-qt (5.13.0-0ubuntu6) wily; urgency=medium

  * Merge debian master branch to make sure acc logs are artifacted with a
    name that makes clear the logs are from acc
  * Reintroduce libnm-dev as dependency of the -dev package. This should fix
    the ACC test as all needed headers are present again.

 -- Harald Sitter <sitter@kde.org>  Thu, 03 Sep 2015 12:58:52 +0200

networkmanager-qt (5.13.0-0ubuntu5) wily; urgency=medium

  * Merge debian master branch to pick up a change to the autopkgtest that
    puts logs in the artifacts directory for archiving.

 -- Harald Sitter <sitter@kde.org>  Thu, 03 Sep 2015 12:43:40 +0200

networkmanager-qt (5.13.0-0ubuntu4) wily; urgency=medium

  * Merge with debian to remove libnm-glib-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 14:32:00 +0100

networkmanager-qt (5.13.0-0ubuntu3) wily; urgency=medium

  * No change rebuild to pick up new libnm on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 10:37:30 +0100

networkmanager-qt (5.13.0-0ubuntu2) wily; urgency=medium

  * No change rebuild to pick up new libnm include directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 17:24:37 +0100

networkmanager-qt (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:35:49 +0200

networkmanager-qt (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:11:57 +0200

networkmanager-qt (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 13:51:26 +0200

networkmanager-qt (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files for gcc5 compatibility. (Closes: #791733)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:46 +0200

networkmanager-qt (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Update symbols files.
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 17:30:42 +0200

networkmanager-qt (5.10.0-0ubuntu2) wily; urgency=medium

  * Merge in symbols change

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 00:48:46 +0200

networkmanager-qt (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:59:03 +0200

networkmanager-qt (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:05 +0200

networkmanager-qt (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:04 +0100

networkmanager-qt (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Mar 2015 17:45:38 +0100

networkmanager-qt (5.6.0-1) experimental; urgency=medium

  * New upstream release (5.6.0)
  * Importing packaging from kubuntu efforts.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add missing -dev dependency.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Jan 2015 19:05:01 +0100

=== debian/control ===
Source: networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
               libnm-util-dev (>= 0.9.10.0),
               network-manager-dev (>= 0.9.8.4),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/networkmanager-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/networkmanager-qt.git

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5networkmanagerqt6-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Qt wrapper for NetworkManager - debug files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## networkmanager-qt 5.18.0

=== debian/changelog ===
networkmanager-qt (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Bhushan Shah ]
  * Build-dep to alternate libnm-glib-dev for vivid builds

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:26:56 +0100

networkmanager-qt (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:27 +0100

networkmanager-qt (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:33 +0200

networkmanager-qt (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:55 +0100

networkmanager-qt (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.8.4),

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/networkmanager-qt-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/networkmanager-qt-([\d.]+)\.tar\.xz

## networkmanager-qt 5.26.0

=== debian/changelog ===
networkmanager-qt (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:35 +0100

networkmanager-qt (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:57 +0000

networkmanager-qt (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Removing upstream patch

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:19:21 +0200

networkmanager-qt (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Refresh symbols. 
  * Debian merge: no remaining changes. 
  * Refresh symbols, removed sever MISSING CI inserts. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Remove upstream_Initialize_gateway_ping_timeout.patch, applied upstream

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:42:27 -0700

networkmanager-qt (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:21 +0100

networkmanager-qt (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:12 +0100

networkmanager-qt (5.18.0-0ubuntu4) yakkety; urgency=medium

  * Add kubuntu_enable_wimax_with_nm_12.diff which reverts upstream
    1611028164fed9f2ec5915e042b0b6e18a8a0892 to stay ABI compatible
  * Refresh the symbols again to bring the missing wimax symbols back

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 13 May 2016 09:12:44 +0000

networkmanager-qt (5.18.0-0ubuntu3) yakkety; urgency=medium

  * Update symbols for new symbol visibility in yakkety. 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 May 2016 20:24:18 +0000

networkmanager-qt (5.18.0-0ubuntu2) yakkety; urgency=medium

  * Add upstream patch to Initialize gateway ping timeout (LP: #1569674) 
    - upstream_Initialize_gateway_ping_timeout.patch

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 09 May 2016 23:20:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
+               extra-cmake-modules (>= 5.26.0~),
+               libnm-dev (>= 0.9.10.0),
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.8.4),
                pkg-config,
@@ -14,8 +14,8 @@
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/networkmanager-qt.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
 
 Package: libkf5networkmanagerqt-dev
 Section: libdevel
@@ -41,16 +41,3 @@
  Qt wrapper for NetworkManager DBus API.
  .
  This package is part of the KDE Plasma.
-
-Package: libkf5networkmanagerqt6-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
-Recommends: qtbase5-dbg
-Description: Qt wrapper for NetworkManager - debug files.
- Qt wrapper for NetworkManager DBus API.
- .
- This package is part of the KDE Plasma.
- .
- This package contains the debugging symbols.

## networkmanager-qt 5.28.0

=== debian/changelog ===
networkmanager-qt (5.28.0-2) unstable; urgency=medium

  * Pick "Don't force logging with setFilterRules" (87273f5)
    Add upstream patch as: Don-t-force-logging-with-setFilterRules.patch
  * Pick "Initialise a member variable" (626e704)
    Add upstream patch as: Initialise-a-member-variable.patch
  * Pick "CMake: Use SYSTEM for nm-glib/nm-util includes" (ad5587c)
    Add upstream patch as:
     CMake-Use-SYSTEM-for-nm-glib-nm-util-includes.patch
  * Pick "Manager: Fix emitting deviceAdded twice when NM restarts" (a183e1f)
    Add upstream patch as:
     Manager-Fix-emitting-deviceAdded-twice-when-NM-restarts.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Apr 2017 10:46:12 +0200

networkmanager-qt (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:00 +0100

networkmanager-qt (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:57:44 +0200

networkmanager-qt (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:57:27 +0200

networkmanager-qt (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:19:37 +0200

networkmanager-qt (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:24:59 +0200

networkmanager-qt (5.22.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:58:24 +0200

networkmanager-qt (5.22.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.21.0-1).

  [ Maximiliano Curia ]
  * Wimax symbols change breaks plasma-nm.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:57:45 +0200

networkmanager-qt (5.21.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * New upstream release (5.21.0). (Closes: #822429)
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports more than one main upstream tarball being listed
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:13:05 +0200

=== debian/control ===
Source: networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libnm-dev (>= 0.9.10.0),
               libnm-util-dev (>= 0.9.10.0),
               network-manager-dev (>= 0.9.10.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/networkmanager-qt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/networkmanager-qt.git

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 0.9.10.0),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204), plasma-nm (<= 4:5.6~)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5networkmanagerqt6-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## networkmanager-qt 5.31.0

=== debian/changelog ===
networkmanager-qt (5.31.0-0ubuntu1) zesty; urgency=medium

  * Use the build-needed restriction instead of rebuilding the package
    in the autopkgtests.
  * New upstream release (5.31.0)
  * Add kubuntu_disable_failing_test.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:26 +0000

networkmanager-qt (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:05 +0000

networkmanager-qt (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, this drops the libnm-glib-dev which was there for vivid
    builds.
  * Pass '-fno-keep-inline-functions' to gcc for the acc tests in order
    to make them pass.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libnm-dev (>= 0.9.10.0),
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.10.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/networkmanager-qt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
 
 Package: libkf5networkmanagerqt-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 0.9.10.0),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Qt wrapper for NetworkManager - devel files.

## networkmanager-qt 5.38.0

=== debian/changelog ===
networkmanager-qt (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:38 +0100

networkmanager-qt (5.37.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:23 +0100

networkmanager-qt (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:21 +0100

networkmanager-qt (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:16 +0100

networkmanager-qt (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:13 +0100

networkmanager-qt (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libnm-dev (>= 0.9.10.0),
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.10.0~),

## networkmanager-qt 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,23 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(NetworkManagerQt)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+project(NetworkManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-find_package(NetworkManager 0.9.8.4 REQUIRED)
+find_package(NetworkManager 0.9.10.0 REQUIRED)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)
 
 add_definitions(${QT_DEFINITIONS})
@@ -31,10 +32,12 @@
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX NETWORKMANAGERQT
+ecm_setup_version(PROJECT VARIABLE_PREFIX NETWORKMANAGERQT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfigVersion.cmake"
                         SOVERSION 6)
@@ -55,9 +58,19 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NetworkManagerQt")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5NetworkManagerQt_QCH
+        FILE KF5NetworkManagerQtQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NetworkManagerQtQchTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5NetworkManagerQtConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
@@ -77,6 +90,4 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
-endif()
+feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/fakenetwork/CMakeLists.txt ===
if (${NETWORKMANAGER_VERSION} VERSION_EQUAL 1.0.0 OR ${NETWORKMANAGER_VERSION} VERSION_GREATER 1.0.0)
include_directories(${NM-CORE_INCLUDE_DIRS})
else()
include_directories(${NETWORKMANAGER_INCLUDE_DIRS})
endif()

include_directories(
   ${CMAKE_SOURCE_DIR}/src/settings
)

set(fakeNetwork_SRCS
    accesspoint.cpp
    activeconnection.cpp
    connection.cpp
    device.cpp
    fakenetwork.cpp
    settings.cpp
    wireddevice.cpp
    wirelessdevice.cpp
)

add_library(fakeNetwork STATIC ${fakeNetwork_SRCS})

target_link_libraries(fakeNetwork
    KF5NetworkManagerQt_static
    Qt5::Core
    Qt5::Network
    Qt5::DBus)

=== debian/changelog ===
networkmanager-qt (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:41 +0000

networkmanager-qt (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:08 +0000

networkmanager-qt (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:33 +0000

networkmanager-qt (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:46 -0600

networkmanager-qt (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                libnm-dev (>= 0.9.10.0),
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.10.0~),

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/networkmanager-qt-([\d.]+)\.tar\.xz
